﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace Bind_Tab_DataGrid
{
    public partial class MainPage : UserControl
    {
        ObservableCollection<MyDataClass> myDataList = new ObservableCollection<MyDataClass>();

        public MainPage()
        {
            InitializeComponent();

            myDataList.Add(new MyDataClass() { Department = "Accounts", DeptValue = 1001 });
            myDataList.Add(new MyDataClass() { Department = "Sales", DeptValue = 1004 });
            myDataList.Add(new MyDataClass() { Department = "IT", DeptValue = 1003 });            
                        
            this.c1DataGrid1.AutoGenerateColumns = false;
            this.c1DataGrid1.ItemsSource = myDataList;
            this.c1TabControl1.ItemsSource = myDataList;
        }                

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            myDataList.Add(new MyDataClass());
        }
    }

    public class ComboData
    {
        public List<String> _lst;

        public ComboData()
        {
            _lst = new List<string>();
        }

        public List<string> DataList
        {
            get
            {
                _lst.Add("Accounts");
                _lst.Add("HR");
                _lst.Add("IT");
                _lst.Add("Sales");
                _lst.Add("Training");

                return _lst;
            }

        }
    }

    public class MyDataClass : INotifyPropertyChanged
    {
        private string _dept;
        public string Department
        {
            get { return _dept; }
            set
            {
                _dept = value;
                OnPropertyChanged("Department");
            }
        }

        private int _deptValue;
        public int DeptValue
        {
            get { return _deptValue; }
            set
            {
                _deptValue = value;
                OnPropertyChanged("DeptValue");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        protected void OnPropertyChanged(string name)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                handler(this, new PropertyChangedEventArgs(name));
            }
        }
    }
}
